function init()
  button = FindShape("button")
  hinges = FindJoints("Hold")  -- get list of joints tagged "Hold"
  bomb = FindShape("missile")
  bombBody = GetShapeBody(bomb)
  delay = 1.0 -- in seconds
  fired = false
end

function tick(dt)
  if GetPlayerInteractShape() == button and InputPressed("interact") then 
    for i=1,#hinges do         -- loop through hinges
      local hinge = hinges[i]  -- pick the current hinge in loop
      Delete(hinge)            -- delete the hinge
    end
    button = nil
  end
  if not button and delay > 0 then
    delay = delay - dt
  end
  if not fired and delay < 0 then
    fired = true
    SetBodyVelocity(bombBody, Vec(-40, 2, 0)) 
  end
end  